Bug 465902 - Fullscreen windows open on secondary monitor
Fullscreen windows open on secondary monitor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 21:46 EDT by Cameron Zemek
Modified: 2014-06-18 05:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:19:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XOrg configuration (2.70 KB, text/plain)
2008-10-06 21:47 EDT, Cameron Zemek
no flags Details
Xorg log after startup (17.22 KB, text/plain)
2008-10-06 21:47 EDT, Cameron Zemek
no flags Details
Xorg configuration with primary monitor LeftOf secondary (WORKS) (2.88 KB, text/plain)
2008-10-15 01:22 EDT, Cameron Zemek
no flags Details
Patch to fix metacity of this bug (2.37 KB, text/plain)
2008-10-15 01:55 EDT, Cameron Zemek
no flags Details

  None (edit)
Description Cameron Zemek 2008-10-06 21:46:16 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.2) Gecko/2008092318 Fedora/3.0.2-1.fc9 Firefox/3.0.2

If I exit an application such as Gedit or Firefox when it is fullscreen, the next time I open it, it opens on the secondary monitor instead of the primary.

The weird thing is, if I Unmaximize the window it goes back to the primary. Then If I Maximize it goes back to the secondary. If I move the window when its on the primary, then maximize it stays on the primary.

Also it does it if I open a new firefox window when I already have a firefox window fullscreen on the primary. So this is getting pretty annoying.

Reproducible: Always

Steps to Reproduce:
1. Open Gedit or Firefox
2. Fullscreen the application on the primary monitor
3. Exit the application
4. Open the application again
Actual Results:  
The application is fullscreen on the secondary monitor

Expected Results:  
The application is fullscreen on primary monitor

Using the NVIDIA Driver 173.14.12 from the nvidia website
Comment 1 Cameron Zemek 2008-10-06 21:47:03 EDT
Created attachment 319607 [details]
XOrg configuration
Comment 2 Cameron Zemek 2008-10-06 21:47:42 EDT
Created attachment 319608 [details]
Xorg log after startup
Comment 3 Cameron Zemek 2008-10-07 00:53:39 EDT
Also I have noticed it does actually render on the primary display before it ends up on the secondary display.
Comment 4 Cameron Zemek 2008-10-15 01:22:17 EDT
Created attachment 320386 [details]
Xorg configuration with primary monitor LeftOf secondary (WORKS)

After getting tired of this bug I started playing around with my dual monitor setup. Found that having the primary LeftOf secondary resolves this issue. Unfortunately I can't have my primary physically to the left of the secondary.
Comment 5 Cameron Zemek 2008-10-15 01:23:22 EDT
Also tested Xinerama and found it display the same behaviour as TwinView. Seems Gnome wants to maximize new windows on Screen0
Comment 6 Cameron Zemek 2008-10-15 01:29:06 EDT
Sorry, I meant to say it seems Gnome wants to maximize new windows on the screen that contains 0,0 co-ords.
Comment 7 Cameron Zemek 2008-10-15 01:55:49 EDT
Created attachment 320390 [details]
Patch to fix metacity of this bug

I found reference to similar problem in the gnome bug database, and found this patch in gnome's svn. I download the SRPM for metacity and added the attached patch to the RPM build.

# rpm -Uvh --force /usr/src/redhat/i386/metacity-2.22.0-5.fc9.i386.rpm

Then restarted X. Its fixed :)
Comment 8 François Cami 2009-02-18 19:59:12 EST
Switching to ASSIGNED.
Comment 9 Bug Zapper 2009-06-09 22:54:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 13:19:20 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.